Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class TableRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SharedValueRecordBase
                      org.apache.poi.hssf.record.TableRecord

    public final class TableRecord

extends SharedValueRecordBase

DATATABLE (0x0236)

TableRecord - The record specifies a data table. This record is preceded by a single Formula record that defines the first cell in the data table, which should only contain a single Ptg, `TblPtg`. See p536 of the June 08 binary docs

Field Summary
`static short` | `sid`

Constructor Summary
`TableRecord(CellRangeAddress8Bit range)`
`TableRecord(RecordInputStream in)`

Method Summary
`int` | `getColInputCol()`
`int` | `getColInputRow()`
`int` | `getFlags()`
`int` | `getRowInputCol()`
`int` | `getRowInputRow()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isAlwaysCalc()`
`boolean` | `isColDeleted()`
`boolean` | `isOneNotTwoVar()`
`boolean` | `isRowDeleted()`
`boolean` | `isRowOrColInpCell()`
`void` | `setAlwaysCalc(boolean flag)`
`void` | `setColDeleted(boolean flag)`
`void` | `setColInputCol(int colInputCol)`
`void` | `setColInputRow(int colInputRow)`
`void` | `setFlags(int flags)`
`void` | `setOneNotTwoVar(boolean flag)`
`void` | `setRowDeleted(boolean flag)`
`void` | `setRowInputCol(int rowInputCol)`
`void` | `setRowInputRow(int rowInputRow)`
`void` | `setRowOrColInpCell(boolean flag)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.SharedValueRecordBase
`getFirstColumn, getFirstRow, getLastColumn, getLastRow, getRange, isFirstCell, isInRange, serialize`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### TableRecord

    public TableRecord(RecordInputStream in)

### TableRecord

    public TableRecord(CellRangeAddress8Bit range)

Method Detail

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### getRowInputRow

    public int getRowInputRow()

### setRowInputRow

    public void setRowInputRow(int rowInputRow)

### getColInputRow

    public int getColInputRow()

### setColInputRow

    public void setColInputRow(int colInputRow)

### getRowInputCol

    public int getRowInputCol()

### setRowInputCol

    public void setRowInputCol(int rowInputCol)

### getColInputCol

    public int getColInputCol()

### setColInputCol

    public void setColInputCol(int colInputCol)

### isAlwaysCalc

    public boolean isAlwaysCalc()

### setAlwaysCalc

    public void setAlwaysCalc(boolean flag)

### isRowOrColInpCell

    public boolean isRowOrColInpCell()

### setRowOrColInpCell

    public void setRowOrColInpCell(boolean flag)

### isOneNotTwoVar

    public boolean isOneNotTwoVar()

### setOneNotTwoVar

    public void setOneNotTwoVar(boolean flag)

### isColDeleted

    public boolean isColDeleted()

### setColDeleted

    public void setColDeleted(boolean flag)

### isRowDeleted

    public boolean isRowDeleted()

### setRowDeleted

    public void setRowDeleted(boolean flag)

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD